
/*
 * Copyright Attribution.  Each Licensee Product shall display, in a 
 * user-visible location such as a start-up screen or an "About" box, 
 * and in a message to be displayed on-screen at the time Licensee 
 * Products are installed on an end-user system, the following legend, 
 * which shall be displayed for at least two (2) seconds.
 * 
 * 	"PXE Software Copyright (C) 1999  Intel Corporation"
 */

#ifndef _PXE_PARSER_DLL_H
#define _PXE_PARSER_DLL_H

#define PXE_PACKET_NOT_SENT 0
#define PXE_PACKET_SENT	1
#define PXE_PARSER_ERROR	2

struct _PxeParserData 
{
	USHORT	usReceivePort;
	BYTE*	ucPacket;
	int	nPacketLength;
	SOCKADDR_IN	siClientAddr;
};

typedef struct _PxeParserData 	PXE_PARSER_DATA;
typedef  DWORD (*PXE_PARSER_FUNC)( PXE_PARSER_DATA *);
#endif
