
/*
 * Copyright Attribution.  Each Licensee Product shall display, in a 
 * user-visible location such as a start-up screen or an "About" box, 
 * and in a message to be displayed on-screen at the time Licensee 
 * Products are installed on an end-user system, the following legend, 
 * which shall be displayed for at least two (2) seconds.
 * 
 * 	"PXE Software Copyright (C) 1999  Intel Corporation"
 */

#ifndef __H_PXEMISC_H__
#define __H_PXEMISC_H__

#define MIN(a,b) ((a)<(b)?(a):(b))

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <unistd.h>
#include <stddef.h>
#include <sys/time.h>
#include <time.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
#include "apstring.h"
#include <errno.h>

typedef int HKEY;
typedef char TCHAR;
typedef const char * LPCTSTR;
typedef char * LPTSTR;
typedef unsigned int DWORD;
typedef DWORD*	LPDWORD;
typedef unsigned int UINT32;
typedef unsigned short UINT16;
typedef unsigned short WORD;
typedef unsigned char UINT8;

typedef DWORD BOOL;
typedef unsigned char* LPBYTE;
typedef unsigned char BYTE;
typedef unsigned char* CByteArray;
typedef unsigned int ULONG;
typedef unsigned int UINT;
typedef unsigned short USHORT;
typedef  short SHORT;
typedef struct sockaddr_in SOCKADDR_IN;
typedef struct sockaddr* LPSOCKADDR;
typedef struct sockaddr SOCKADDR;
typedef int SOCKET;
class apstring;
class myStringArray;

typedef apstring CString;

typedef myStringArray CStringArray;


#define _T(x) x
#define ASSERT(x)	x
#define TRACE(x)	x
#define OutputDebugString(x)	printf(x)

#define GetLastError()	errno
#define WSAGetLastError()	errno
#define closesocket(x)	close(x)

#define SOCKET_ERROR			-1
#define INVALID_SOCKET			-1
#define TRUE 1
#define FALSE 0


#include "pxe.h"
#include "bootp.h"
#include "pktdata.h"
#endif
